Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-07-2010 21:28:46

xavv
Membre
Distrib. : Squeeze Testing
Noyau : 2.6.32-5-amd64
(G)UI : Gnome / XFCE 4.6
Inscription : 27-07-2010

[RESOLU] Migrer de Lenny vers Squeeze ?

Bonjour à tous !

Alors suite aux bons conseils de smolski, j'ouvre mon propre topic !

Contexte :

Pour la petite histoire, je suis nouveau sur Debian. J'ai récemment installé Lenny amd64 en net install et avec LVM.

Jusque là au poil ! Mais voilà, après quelques semaines je voulais tester kvm et d'autres solutions de virtualisation et comme celles-ci évoluent sans cesse...je voulais passer sur Squeeze pour ne pas avoir trop de soucis de dépendances croisées.

Du coup j'ai suivi le tuto de migration dispo sur le wiki pour passer à Squeeze mais à chaque fois ça plante....

aptitude full-upgrade


Ca fait deux fois que je me fait recaler et à force en net install avec un débit de 512k, j'ai un peu les nerfs de perdre 3H de mon temps à attendre les dls de paquets...

Déroulement :

Il se trouve que j'ai le fameux message de grub2 qui me dit qu'il va chainer avec grub legacy, il me demande de vérifier une commande vide.

Puis je suis l'installeur mais il y a des 'failed' un peu partout et il désintall gnome, gnome-desktop... et voilà que mon seul ami est tty et qu'il y a des pb de dépendances dans ts les sens.
Même

apt-get -f install


n'arrive pas à les résoudre.... une vrai misère...

qq à une idée avant que je ne retourne malgré moi sous ubuntu ?


Merci d'avance big_smile

Dernière modification par xavv (29-07-2010 10:59:25)

Hors ligne

#2 27-07-2010 22:10:59

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Considérant l'âge de Lenny et l'état de Squeeze, je dirais que ces petits problèmes ne sont pas bien étonnants... Alors deux choses l'une : si ce qui se passe sur ton PC ne t'intéresse pas plus que ça (il doit marcher, pas de questions à se poser), ben tu peux réinstaller tout.

C'est un choix que je n'aime pas ("réparer" ses petites bêtises est souvent très facile et tellement plus gracieux !)... Mais bon, je peux comprendre que ce ne soit pas ta priorité d'une part. Et si tu n'as pas déjà téléchargé tous les paquets de Squeeze, je peux comprendre d'autre part que tu aimerais utiliser cette bande passante à meilleur escient.

Sinon, si tu souhaites "réparer", il faut poster EXACTEMENT les erreurs que tu rencontres... J'ai essayé la voyance pour deviner ce qui se passait sur les ordis des autres, mais sans succès... smile

Hors ligne

#3 28-07-2010 05:08:51

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Salut!
As-tu bien coché le disque (la partition) dans laquelle grub2 doit être installé? J'ai fait cette erreur une fois,...

YA3HGA-H

Hors ligne

#4 28-07-2010 15:32:22

baba00000000
Membre
Inscription : 28-07-2010

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Tiens c'est exactement ce que je rencontre comme problème aujourd'hui.
J'ai suivi un tuto aussi mais sans succès. Je post pour rester au courrant.
Bon courrage.

édit: j'ai testé la commande aptitude full-upgrade
Sa ma désinstallé tout plein de chose. C'est la cata big_smile

Dernière modification par baba00000000 (28-07-2010 15:42:02)

Hors ligne

#5 28-07-2010 15:40:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Bonjour baba00000000 et bienvenue sur df !

Alors donc, la pêche en mer du forum df est réglementée et on ne bernacle pas les posts ancrés (même semblables) d'autrui mais on ouvre une nouvelle discussion pour son propre récif.

Ah ces vacances dans les embruns perlés de lumière et de nostalgie...

Amitié, Joel matelot à la veille big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#6 28-07-2010 17:10:57

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Hum, je conseillerai plutôt l'utilisation d'aptitude safe-upgrade, qui est plus conservatif tout de même smile .
De plus, avez vous installé le paquet apt-listbugs ?
Car en ce moment, dans sid du moins, grub est cassé, donc si c'est le même dans testing (ce qui est possible, elle n'est pas stable pour l'instant), ce n'est pas étonnant que vous ayez un souci.
Eh oui, debian sid est plus stable que archlinux, mais il ne faut pas non plus installer un paquet prévenu comme buggué. (Ce qui est chouette, on est prévenu, et on peut prévenir les autres via reportbug smile )

YA3HGA-H

Hors ligne

#7 28-07-2010 17:12:46

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Je confirme, c'est le même :

 apt-cache policy grub2
grub2:
  Installé : 1.98+20100720-1
  Candidat : 1.98+20100722-1
 Table de version :
     1.98+20100722-1 0
        900 http://ftp.fr.debian.org sid/main Packages
 *** 1.98+20100720-1 0
        100 /var/lib/dpkg/status
     1.98+20100710-1 0
        800 http://ftp.fr.debian.org squeeze/main Packages
     1.96+20080724-16 0
        700 http://ftp.fr.debian.org lenny/main Packages


YA3HGA-H

Hors ligne

#8 29-07-2010 09:35:21

xavv
Membre
Distrib. : Squeeze Testing
Noyau : 2.6.32-5-amd64
(G)UI : Gnome / XFCE 4.6
Inscription : 27-07-2010

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Bonjour,

merci à tous pour vos réponses !

Bon comme l'a dit Unit dans un autre post : une fois que l'on a essayé Debian c'est dure de changer.

Donc, en réfléchissant un peu j'ai vue que c'était le paquet udev qui me posait des problèmes.

En effet, udev 158-1 de squeeze apporte d'importants changements comme l'utilisation des uuid pour la gestion des disques. Ce dernier n'est pas compatible avec le noyau 2.6.24 que j'avais avec Lenny. Donc j'ai du installer en premier le nouveau noyau 2.6.32.

apt-get install linux-image-2.6.32-5amd64


Manque de bol pendant l'install, il veut régler les dépendances et plante sur udev (normal) avant de me générer initrd.img-2.6.32 nécessaire pour booter...

donc

update-initramfs -k 2.6.32-5-amd64 -c


puis une entrée à la main dans Grub.

On redémarre, on boot sur le nouveau noyau, et un pti

apt-get -f install


pour régler ces histoires de dépendances une bonne fois pour toute big_smile

puis on rattaque avec

apt-get dist-upgrade


.

Et voilà ! plus de soucis tout rentre dans l'ordre !

Merci encore à chacun d'entre vous.

xavv

Dernière modification par xavv (29-07-2010 09:36:21)

Hors ligne

#9 29-07-2010 09:58:57

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Woaw !

Merci du retour et de la solution bien détaillée xavv. smile

Avec la résolution, il est d'usage d'ajouter dans le titre du premier post (en l'ouvrant en édition par Modifier) un zoli : [Résolu] !
Ainsi, toutes les générations futures qui consulteront le forum sauront qu'ici-même, sur ce post là, se trouve une solution à ce problème.
C'est-y pas beau une histoire qui se termine aussi bien ? wink

Amitié, Uncle Jojo celui dont le rire ne colle pas aux neurones ! big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#10 29-07-2010 14:04:45

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : [RESOLU] Migrer de Lenny vers Squeeze ?

Sacré udev, je l'avais oublié, c'est vrai qu'il m'avait posé souci moi aussi les dernières fois. Ravi de voir que tu a trouvé ta solution smile

YA3HGA-H

Hors ligne

Pied de page des forums